package de.thomasjacob.improve.presentation.user;

import java.util.Map;


public class UserValueObject
{
	private int userId;

	private String type;

	private boolean enabled;

	private String name;

	private Map userParameters;

	public int getUserId()
	{
		return userId;
	}

	public String getType()
	{
		return type;
	}

	public boolean isEnabled()
	{
		return enabled;
	}

	public String getName()
	{
		return name;
	}

	public Map getUserParameters()
	{
		return userParameters;
	}

	public void setUserId(int userId)
	{
		this.userId = userId;
	}

	public void setType(String type)
	{
		this.type = type;
	}

	public void setEnabled(boolean enabled)
	{
		this.enabled = enabled;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public void setUserParameters(Map userParameters)
	{
		this.userParameters = userParameters;
	}
}